org.apache.lucene.queryparser.flexible.core

## Class QueryNodeParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.lucene.queryparser.flexible.core.QueryNodeException
      - - org.apache.lucene.queryparser.flexible.core.QueryNodeParseException

All Implemented Interfaces:
  Serializable, NLSException

Direct Known Subclasses:
  ParseException

    public class QueryNodeParseException
    extends QueryNodeException

This should be thrown when an exception happens during the query parsing from string to the query node tree.

See Also:
  `QueryNodeException`, `SyntaxParser`, `QueryNode`, Serialized Form

### Field Summary

### Fields inherited from class org.apache.lucene.queryparser.flexible.core.QueryNodeException

`message`

### Constructor Summary

Constructors
Constructor and Description
`QueryNodeParseException(Message message)`
`QueryNodeParseException(Message message, Throwable throwable)`
`QueryNodeParseException(Throwable throwable)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getBeginColumn()` For EndOfLine and EndOfFile ("<EOF>") parsing problems the last char in the string is returned For the case where the parser is not able to figure out the line and column number -1 will be returned
`int` `getBeginLine()` For EndOfLine and EndOfFile ("<EOF>") parsing problems the last char in the string is returned For the case where the parser is not able to figure out the line and column number -1 will be returned
`String` `getErrorToken()`
`CharSequence` `getQuery()`
`protected void` `setBeginColumn(int beginColumn)`
`protected void` `setBeginLine(int beginLine)`
`protected void` `setErrorToken(String errorToken)`
`void` `setNonLocalizedMessage(Message message)`
`void` `setQuery(CharSequence query)`

### Methods inherited from class org.apache.lucene.queryparser.flexible.core.QueryNodeException

`getLocalizedMessage, getLocalizedMessage, getMessage, getMessageObject, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### QueryNodeParseException

    public QueryNodeParseException(Message message)

#### QueryNodeParseException

    public QueryNodeParseException(Throwable throwable)

#### QueryNodeParseException

    public QueryNodeParseException(Message message,
                                   Throwable throwable)

### Method Detail

#### setQuery

    public void setQuery(CharSequence query)

#### getQuery

    public CharSequence getQuery()

#### setErrorToken

    protected void setErrorToken(String errorToken)

Parameters:
  `errorToken` - the errorToken in the query

#### getErrorToken

    public String getErrorToken()

#### setNonLocalizedMessage

    public void setNonLocalizedMessage(Message message)

#### getBeginLine

    public int getBeginLine()

For EndOfLine and EndOfFile ("<EOF>") parsing problems the last char in the string is returned For the case where the parser is not able to figure out the line and column number -1 will be returned

Returns:
  line where the problem was found

#### getBeginColumn

    public int getBeginColumn()

For EndOfLine and EndOfFile ("<EOF>") parsing problems the last char in the string is returned For the case where the parser is not able to figure out the line and column number -1 will be returned

Returns:
  column of the first char where the problem was found

#### setBeginLine

    protected void setBeginLine(int beginLine)

Parameters:
  `beginLine` - the beginLine to set

#### setBeginColumn

    protected void setBeginColumn(int beginColumn)

Parameters:
  `beginColumn` - the beginColumn to set